//************************************* inicio proa *************************************
#declare proa1=
intersection
{
 prism //frente
 {
  linear_spline -5,60 7
  <-10,30>,<4,30>,<10,3>,<10,-3>,<4,-30>,<-10,-30>,<-10,30>
  rotate z*90
 }
 prism //planta
 {
  linear_spline -15,15 9
  <-50,3>,<-46,10>,<-20,13>,<0,14>,<0,-14>,<-20,-13>,<-46,-10>,<-50,-3>,<-50,3>
 }
}

#declare letreros_proa=
union
{
  text { ttf "fuente.ttf" "2" .0001, 0
       scale 4 rotate y*90 translate <-50.0001,-4,1>}
  text { ttf "fuente.ttf" "P" .0001, 0
       scale 3.4 rotate y*90 translate <-50.0001,-7,1>}
 texture {rojo}
}

#declare proa2=
merge
{
 object {proa1}
 object {letreros_proa}
 cone {<-50,-10,0>,3,<-46,-10,0>,10}
 cone {<-46,-10,0>,10,<-20,-10,0>,13}
 cone {<-20,-10,0>,13,<0,-10,0>,14}
 cylinder {<-35,10,0>,<0,10,0>,3}
 cylinder {<-50,-10,0>,<-50.5,-10,0>,2.25}
}

#declare lineas_proa=
union
{
 object {proa2}
 intersection
 {
  object {proa2 scale 1.001}
  union
  {
    box {<-55,-9.9,-15>,<0,-10,15>}
    box {<-55,-0.1,-15>,<0,0,15>}
    box {<-20,20,-15>,<-20.1,-25,15>}
    box {<-40,20,-15>,<-40.1,-25,15>}
    box {<-55,-10,-.05>,<0.5,-25,.05>}
    box {<-55,-10,7.5>,<0,20,7.6>}
    box {<-55,-10,-7.5>,<0,20,-7.6>}
    box {<0,20,15>,<-.1,-25,-15>}
  }
  pigment {rgb 0}
  bounded_by {box {<0,-25,-16>,<-55,20,16>}}
 }
}

#declare paneles_proa=
union
{
 object {lineas_proa}
 intersection
 {
  object {lineas_proa scale 1.0001}
  union
  {
   box {<-44,0,-15>,<-38,-14,0>}
   box {<-20,4,-15>,<-6,25,15>}
   box {<-55,-2,5>,<-30,5,15>}
   box {<-55,-7,-6>,<-40,3,-8>}
   box {<-55,-5,5>,<-40,-13,8>}
   cylinder {<-55,6,-5>,<-40,6,-5>,1}
   box {<-31,-15,-15>,<-15,-17,15>}
   box {<-10,-12,-15>,<-5,-18,0>}
  }
  texture {gris9}
  bounded_by {box {<0,-25,-16>,<-55,20,16>}}
 }
}

#declare detalles_proa=
intersection
{
 object {paneles_proa scale <1.005,1.05,1.05>}
 union
 {
  box {<-29,11,-15>,<-25,-4,15>}
  box {<-24,11,-15>,<-20,-4,15>}
  box {<-19,11,-15>,<-15,-4,15>}
  box {<-14,11,-15>,<-10,-4,15>}
  box {<-9,11,-15>,<-5,-4,15>}
  box {<-4,11,-15>,<0,-4,15>}
  union //mascarn
  {
   prism {linear_spline 45,55 4 <5,0>,<1,2.5>,<1,-2.5>,<5,0>}
   prism {linear_spline 45,55 6 <-.5,0>,<-4,6>,<.5,3>,<.5,-3>,<-4,-6>,<-.5,0>}
   prism {linear_spline 45,55 8 <5,.5>,<5,8>,<4,9>,<-4,9>,<-3,8>,<4,8>,<4,1>,<5,.5>}
   prism {linear_spline 45,55 8 <5,-.5>,<5,-8>,<4,-9>,<-4,-9>,<-3,-8>,<4,-8>,<4,-1>,<5,-.5>}
   prism {linear_spline 45,55 8 <3.5,1.5>,<3.5,6.5>,<2.5,7.5>,<-2.5,7.5>,<-1.5,6.5>,
                                <2.5,6.5>,<2.5,2>,<3.5,1.5>}
   prism {linear_spline 45,55 8 <3.5,-1.5>,<3.5,-6.5>,<2.5,-7.5>,<-2.5,-7.5>,<-1.5,-6.5>,
                                <2.5,-6.5>,<2.5,-2>,<3.5,-1.5>}
   prism {linear_spline 45,55 8 <2,2.5>,<2,5>,<1,6>,<-1,6>,<0,5>,<1,5>,<3,5>,<2,2.5>}
   prism {linear_spline 45,55 8 <2,-2.5>,<2,-5>,<1,-6>,<-1,-6>,<0,-5>,<1,-5>,<3,-5>,<2,-2.5>}
   rotate z*90
  }
 }
 bounded_by {box {<0,-25,-16>,<-55,20,16>}}
 texture {gris_azulado}
}

#declare letreros=
union
{
 superellipsoid {<0.1,0.1> scale <7,2.5,12> translate <-38,5,0>}
 difference
 {
  superellipsoid {<0.1,0.1> scale <7.0003,2.5003,12.0003> translate <-38,5,0>}
  box {<-30,9,11>,<-50,1,15>}
  box {<-30,9,10>,<-50,1,-10>}
  box {<-30,9,-11>,<-50,1,-15>}
  texture {gris8}
 }
 box {<-43,4,-12.0001>,<-40,5.5,12.0001> texture {gris8}}
 box {<-35,3.25,-12.0001>,<-32.5,6.5,12.0001> texture {gris8}}
 sphere {<-36,4,-12>,.25}
 cylinder {<-36,4,-12>,<-38,4,-12>,.25}
 sphere {<-38,4,-12>,.25}
 sphere {<-36,4,12>,.25}
 cylinder {<-36,4,12>,<-38,4,12>,.25}
 sphere {<-38,4,12>,.25}

 sphere {<-36,4.5,-12>,.25}
 cylinder {<-36,4.5,-12>,<-38,4.5,-12>,.25}
 sphere {<-38,4.5,-12>,.25}
 sphere {<-36,4.5,12>,.25}
 cylinder {<-36,4.5,12>,<-38,4.5,12>,.25}
 sphere {<-38,4.5,12>,.25}

 box {<-32,7,-12.0004>,<-44,6.95,12.0004> texture {gris1}}
 box {<-32,3,-12.0004>,<-44,3.05,12.0004> texture {gris1}}
 box {<-32,3,-12.0004>,<-32.05,7,12.0004> texture {gris1}}
 box {<-43.95,3,-12.0004>,<-44,7,12.0004> texture {gris1}}

 union
 {
  text { ttf "fuente.ttf" "THERMOPYLAE II" .0001, 0
       scale 1 rotate y*180 translate <-33,5,12.0003>}
  text { ttf "fuente.ttf" "THERMOPYLAE II" .0001, 0
       scale 1 translate <-43,5,-12.0003>}
  text { ttf "fuente.ttf" "UE-9132P" .0001, 0
       scale .71 rotate y*180 translate <-38.75,4,12.0003>}
  text { ttf "fuente.ttf" "UE-9132P" .0001, 0
       scale .71 translate <-43,4,-12.0003>}
  texture {rojo}
 }
}

#declare antenas=
union
{
 sphere {<-20,-10,-13>,1}
 cylinder {<-20,-10,-13>,<-25,-10,-13>,1}
 sphere {<-25,-10,-13>,1}
 box {<-20,-11,-13>,<-25,-12,13>}
 sphere {<-20,-10,13>,1}
 cylinder {<-20,-10,13>,<-25,-10,13>,1}
 sphere {<-25,-10,13>,1}
 union
 {
  cone {<-24,-10,13>,.5,<-24,-25,25>,0}
  cone {<-24,-10,-13>,.5,<-24,-25,-25>,0}
  cone {<-21,-10,13>,.5,<-21,-35,35>,0}
  cone {<-21,-10,-13>,.5,<-21,-35,-35>,0}
  pigment {rgb 1} finish {specular 1}
 }
 texture {gris8}
}

#declare proa=
union
{
 object {detalles_proa}
 object {paneles_proa}
 object {letreros}
 object {antenas}
 cylinder {<-5,10,0>,<0,10,0>,3.001 texture{gris85}}
}
//************************************* fin proa *********************************

//************************************* inicio casco delantero **************************
#declare casco_delantero1=
intersection
{
 prism //planta
 {
  linear_spline -15,15 5
  <-50,14>,<0,20>,<0,-20>,<-50,-14>,<-50,14>
 }
 prism //frente
 {
  linear_spline -5,55 7
  <-10,30>,<4,30>,<10,3>,<10,-3>,<4,-30>,<-10,-30>,<-10,30>
  rotate z*90
 }
}


#declare casco_delantero2=
union
{
 object {casco_delantero1}
 cone {<-50,-10,0>,14,<0,-10,0>,20}
 box {<-40,-10,-20>,<0,-30.5,20>}
 cylinder {<-50,10,0>,<0,10,0>,3}
 intersection
 {
  prism {linear_spline 5,-35 5 <-40,20>,<-50,10>,<-50,-10>,<-40,-20>,<-40,20>}
  prism {linear_spline 25,-25 5 <-50,-10>,<-40,-10>,<-40,-30>,<-50,-20>,<-50,-10>
        rotate x*-90}
  bounded_by {box {<-52,-8,-22>,<-38,-32,22>}}
 }
 prism {linear_spline 15,-15 5 <-38,-30>,<-35,-31>,<-5,-31>,<-2,-30>,<-38,-30>
        rotate x*-90}
 box {<-35,-29,17.5>,<-5,-30.5,-17.5>}
}


#declare relieve_casco_delantero=
union
{
 object {casco_delantero2}
 intersection
 {
  object{casco_delantero1 scale <1.005,1.05,1.05>}
  union
  {
   box {<-49,2,-21>,<-45,15,21>}
   box {<-44,2,-21>,<-40,15,21>}
   box {<-39,2,-21>,<-35,15,21>}
  }
  bounded_by {box {<-55,15,25>,<5,-35,-25>}}
  texture {gris_azulado}
 }
}

#declare paneles_casco_delantero=
union
{
 object {relieve_casco_delantero}
 intersection
 {
  object {relieve_casco_delantero scale 1.01}
  union
  {
   box {<-15,2.5,-23>,<0.001,9,23>}
   box {<-49.999,-15,23>,<-45,-30,-23>}
   box {<-35,-8,-23>,<-25,-14,23>}
  }
  bounded_by {box {<-55,15,25>,<5,-35,-25>}}
  texture {gris8}
 }
}

#declare lineas_casco_delantero=
union
{
 object {paneles_casco_delantero}
 intersection
 {
  object {paneles_casco_delantero scale 1.0001}
  union
  {
   box {<-55,-9.9,-23>,<5,-10,23>}
   box {<-55,-.9,-23>,<-40,-1,23>}
   box {<-38.9,-1,-23>,<-39.9,-31,23>}
   box {<-45.1,-10,-23>,<-45,-31,23>}
   box {<-20.1,-31,-23>,<-20,15,23>}
  }
  bounded_by {box {<-55,15,25>,<5,-35,-25>}}
  texture {gris1}
 }
}

#declare modulos_escape=
union
{
 superellipsoid {<0.1,0.1> scale <15,5,22>}
 prism {linear_spline 3,-3 7 <-10,19>,<-17,19>,<-20,10>,<-20,-10>,<-17,-19>,<-10,-19>,<-10,19>}
 intersection
 {
  superellipsoid {<0.1,0.1> scale <15.001,5.001,22.001>}
  union
  {
   box {<9,6,-23>,<11,-6,23>}
   box {<1,6,-23>,<-1,-6,23>}
   box {<-9,6,-23>,<-11,-6,23>}
   box {<-16,-1,-23>,<16,1,23>}
  }
  texture {gris8}
  bounded_by {box {<-18,11,24>,<18,-11,-24>}}
 }
 union
 {
  box {<-4,2,-22.002>,<-6,4,22.002>}
  box {<4,2,-22.002>,<6,4,22.002>}
  box {<-4,-2,-22.002>,<-6,-4,22.002>}
  box {<4,-2,-22.002>,<6,-4,22.002>}
  pigment {red 1}
 }
 union
 {
  sphere {<-10,5,-21>,.75}
  cylinder {<-10,5,-21>,<-10,5,21>,.75}
  sphere {<-10,5,21>,.75}
  sphere {<0,5,-21>,.75}
  cylinder {<0,5,-21>,<0,5,21>,.75}
  sphere {<0,5,21>,.75}
  sphere {<10,5,-21>,.75}
  cylinder {<10,5,-21>,<10,5,21>,.75}
  sphere {<10,5,21>,.75}
 }
 union //modulos
 {
  sphere {0,3.4 scale <1,1,.35>
          translate <0,0,22>}
  sphere {0,3.4 scale <1,1,.35>
          translate <10,0,22>}
  cylinder {<10,0,22.003>,<10,0,-22.003>,3.7 pigment {rgb 0}}
  sphere {0,3.4 scale <1,1,.35>
          translate <-10,0,22>}
  sphere {0,3.4 scale <1,1,.35>
          translate <0,0,-22>}
  cylinder {<0,0,22.003>,<0,0,-22.003>,3.7 pigment {rgb 0}}
  sphere {0,3.4 scale <1,1,.35>
          translate <10,0,-22>}
  sphere {0,3.4 scale <1,1,.35>
          translate <-10,0,-22>}
  cylinder {<-10,0,22.003>,<-10,0,-22.003>,3.7 pigment {rgb 0}}
  texture {amarillo_negro rotate z*45 scale 2}
 }
 translate <-20,-4,0>
}

#declare puerta_carga=
union
{
 box {<-38,-15,-21>,<-2,-17,21>}
 box {<-38,-28,-21>,<-2,-30,21>}
 box {<-2,-15,-21>,<-4,-30,21>}
 box {<-38,-15,-21>,<-36,-30,21>}

 box {<-37,-20,20.5>,<-25,-25,-20.5>}
 box {<-3,-20,20.5>,<-15,-25,-20.5>}

 union
 {
  box {<-17,-18,20.5>,<-19,-27,-20.5>}
  box {<-21,-18,20.5>,<-23,-27,-20.5>}
  texture {amarillo_negro rotate z*-45 scale 1.5}
 }
 box {<-37,-16,20.25>,<-3,-29,-20.25>}
 union
 {
  box {<-19.95,-17,20.2501>,<-20.05,-28,-20.2501>}
  box {<-37,-17,20.2501>,<-3,-17.2,-20.2501>}
  box {<-37,-28,20.2501>,<-3,-27.8,-20.2501>}
  box {<-4,-16,20.2501>,<-4.2,-28.1,-20.2501>}
  box {<-36,-16,20.2501>,<-35.8,-28.1,-20.2501>}
  pigment {rgb 0}
 }
 cylinder {<-37,-18.5,20.25>,<-25,-18.5,20.25>,.25} sphere {<-25,-18.5,20.25>,.25}
 cylinder {<-37,-26.5,20.25>,<-25,-26.5,20.25>,.25} sphere {<-25,-26.5,20.25>,.25}
 cylinder {<-3,-18.5,20.25>,<-15,-18.5,20.25>,.25} sphere {<-15,-18.5,20.25>,.25}
 cylinder {<-3,-26.5,20.25>,<-15,-26.5,20.25>,.25} sphere {<-15,-26.5,20.25>,.25}
 union
 {
  box {<-30,-21,-20.51>,<-26,-24,20.51>}
  box {<-35,-21,-20.51>,<-31,-24,20.51>}
  box {<-10,-21,-20.51>,<-14,-24,20.51>}
  box {<-5,-21,-20.51>,<-9,-24,20.51>}
  texture {amarillo_negro rotate z*-45}
 }
 texture {blanca}
}

#declare casco_delantero=
union
{
 object {lineas_casco_delantero}
 object {modulos_escape}
 object {puerta_carga}
}
//************************************* fin casco delantero **************************

//************************************* inicio cabina ********************************
#declare cabina= //ms detalles
union
{
 sphere {0,3 scale <.3,1,1> translate <-250,10,0>} //100
 cylinder {<-250,10,0>,<-225,10,0>,3} //100 85
 texture {gris_azulado}
}
//************************************* fin cabina ********************************

//****************************** inicio casco trasero *****************************
#declare casco_traseroA1=
intersection
{
 box {<-45,16,25>,<5,-40,-25>}
 prism //frente
 {
  linear_spline -10,55 7
  <-35,30>,<9,30>,<15,3>,<15,-3>,<9,-30>,<-35,-30>,<-35,30>
  rotate z*90
 }
 translate y*-15
 rotate z*7
 translate y*15
}

#declare casco_traseroA2=
intersection
{
 box {<-40,15,20>,<0,-30,-20>}
 object {casco_traseroA1}
}

#declare relieves_casco_trasero=
intersection
{
 object {casco_traseroA2 scale 1.05}
 union
 {
  box {<-37,20,-25>,<-30,0,25>}
  box {<-27,20,-25>,<-20,0,25>}
 }
 texture {gris_azulado}
}

#declare lineas_casco_trasero1=
intersection
{
 object {casco_traseroA2 scale <1.01,1.01,1.03>}
 union
 {
  box {<-15,20,-25>,<-15.01,-35,25>}
  box {<0,20,-25>,<-.01,-35,25>}
 }
 pigment {rgb 0}
}

#declare lineas_casco_trasero2=
union
{
 box {<-15,0,20.001>,<0,.1,-20.001>}
 box {<-40.1,-5,20.001>,<-15,-5.1,-20.001>}
 box {<-25.1,-15,20.001>,<-25,-30.001,-20.001>}
 pigment {rgb 0}
}

#declare paneles_casco_trasero=
union
{
 box {<-30,-10,20.001>,<-20,-20,-20.001>}
 box {<-38,-10,20.001>,<-31,-20,-20.001>}
 texture {gris8}
}

#declare casco_traseroA=
union
{
 object {casco_traseroA2}
 object {paneles_casco_trasero}
 object {relieves_casco_trasero}
 object {lineas_casco_trasero1}
 object {lineas_casco_trasero2}
 cylinder {<-40,10,0>,<0,12,0>,3}
}

#declare casco_traseroB1=
intersection
{
 box {<-115,16,20>,<5,-30,-20>}
 prism //frente
 {
  linear_spline 0,110 7
  <-35,30>,<9,30>,<15,3>,<15,-3>,<9,-30>,<-35,-30>,<-35,30>
  rotate z*90
 }
}

#declare lineas_casco_traseroB=
intersection
{
 object {casco_traseroB1 scale <1.01,1.01,1.03>}
 union
 {
  box {<-90,20,-25>,<-90.1,0,25>}
  box {<-40,20,-25>,<-40.1,-35,25>}
  box {<-10,20,-25>,<-10.1,-35,25>}
  box {<-90,0,-25>,<-10,.1,25>}
  box {<-40,0,-25>,<-10,.1,25>}
 }
 pigment {rgb 0}
}

#declare ventanillas_casco=
union
{
 difference
 {
  union
  {
   superellipsoid {<0.1,0.1> scale <45,3,22> translate <-65,7,0>}
   #declare aa=-100
   #while (aa<-30)
        box {<aa,8.5,22.02>,<aa-.1,5.5,-22.02>
            pigment {rgb 0}}
        #declare aa=aa+7.5
   #end
   box {<-100,8.5,22.02>,<-30,8.4,-22.02> pigment {rgb 0}}
   box {<-100,5.5,22.02>,<-30,5.6,-22.02> pigment {rgb 0}}
  }
  #declare aa=-95
  #while (aa<-25)
        box {<aa,7.5,23>,<aa-3,6.5,21> pigment {rgb <.70,.8,.8>}}
        box {<aa,7.5,-23>,<aa-3,6.5,-21> pigment {rgb <.70,.8,.8>}}
        #declare aa=aa+7.5
  #end
  texture {gris_azulado}
 }

 #declare aa=-95
 #declare R1 = seed(0)
 #while (aa<-25)
        #if ( rand(R1)>.35)
           box {<aa,7.75,21.01>,<aa-3,6.75,-21.01>
                pigment {rgb <2,2,1.9>}  finish {ambient 1}}
        #end
        #declare aa=aa+7.5
 #end
}

#declare casco_traseroB=
union
{
 object {casco_traseroB1}
 object {lineas_casco_traseroB}
 object {ventanillas_casco}
}

#declare gondola_casco=
union
{
 sphere {0,10 scale <1,1,.5> translate <-35,5,0>} //A
 cylinder {x*-35,x*40,10 scale <1,1,.5> translate <0,5,0>} //B
 sphere {0,10 scale <2,1,.5> translate <40,5,0>} //C
 cylinder {y*-5,y*5,5 scale <4,1,1> translate <40,0,0> texture {gris85}} //D
 sphere {0,5 scale <4,1,1> translate <40,-5,0>} //E
 cylinder {x*-35,x*40,5 translate <0,-5,0>} //F
 sphere {0,5 scale <2,1,1> translate <-35,-5,0>} //G
 cylinder {y*-5,y*5,10 scale <1,1,.5> translate <-35,0,0>} //H
 box {<-35,5,5>,<40,-5,-5>} //I
 union //lineas
 {
  cylinder {y*-5,y*-4.9,10 scale <1,1,.5> scale 1.02 translate <-35,0,0>} //H
  cylinder {y*5,y*4.9,10 scale <1,1,.5> scale 1.02  translate <-35,0,0>} //H
  cylinder {y*5,y*4.9,5 scale <4,1,1> translate <40,0,0>} //D
  cylinder {y*-5,y*-4.9,5 scale <4,1,1> translate <40,0,0>} //D
  cylinder {x*-.05,x*.05,10 scale <1,1,.5> scale 1.02  translate <-34.9,5,0>} //B
  cylinder {x*-.05,x*.05,10 scale <1,1,.5> scale 1.02  translate <-25,5,0>} //B
  cylinder {x*-.05,x*.05,10 scale <1,1,.5> scale 1.02  translate <-10,5,0>} //B
  cylinder {x*-.05,x*.05,10 scale <1,1,.5> scale 1.02  translate <10,5,0>} //B
  cylinder {x*-.05,x*.05,10 scale <1,1,.5> scale 1.02  translate <40,5,0>} //B
  cylinder {x*-.05,x*.05,5 scale 1.02 translate <-34.9,-5,0>} //F
  cylinder {x*-.05,x*.05,5 scale 1.02 translate <-25,-5,0>} //F
  cylinder {x*-.05,x*.05,5 scale 1.02 translate <-10,-5,0>} //F
  cylinder {x*-.05,x*.05,5 scale 1.02 translate <10,-5,0>} //F
  cylinder {x*-.05,x*.05,5 scale 1.02 translate <39.9,-5,0>} //F
  box {<-34.95,5,5>,<-34.85,-5,-5> scale 1.02} //I
  box {<-24.95,5,5>,<-25.05,-5,-5> scale 1.02} //I
  box {<-9.95,5,5>,<-10.05,-5,-5> scale 1.02} //I
  box {<9.95,5,5>,<10.05,-5,-5> scale 1.02} //I
  box {<39.95,5,5>,<39.85,-5,-5> scale 1.02} //I
  box {<-35,5,5>,<39,4.9,-5> scale 1.02}
  box {<-35,-5,5>,<39,-4.9,-5> scale 1.02}
  pigment {rgb 0}
 }
 union //paneles
 {
  cylinder {x*-25,x*-30,10 scale <1,1,.5> scale 1.001 translate <0,5,0>} //B
  cylinder {x*-9.9,x*9.9,10 scale <1,1,.5> scale 1.001 translate <0,5,0>} //B
  cylinder {x*-25,x*-30,5 scale 1.001 translate <0,-5,0>} //F
  cylinder {x*-9.9,x*9.9,5 scale 1.001 translate <0,-5,0>} //F
  texture {gris85}
 }
}

#declare casco_trasero1=
union
{
 object {casco_traseroA translate x*-110}
 object {casco_traseroB}
 object {gondola_casco translate <-80,-15,20>}
 object {gondola_casco translate <-80,-15,-20>}
 union
 {
  cylinder {<0,15.001,0>,<0,0,0>,10 scale <2,1,1> translate x*-90}
  box {<-90,15.001,10>,<-20,0,-10>}
  cylinder {<0,15.001,0>,<0,0,0>,10 scale <1.5,1,1> translate x*-20}
 }
}

#declare casco_trasero2=
difference
{
 object {casco_trasero1}
 union
 {
  box {<-2,16,10>,<1,0,-10>}
  prism {linear_spline 0,-20 4 <1,-10>,<1,-21>,<-16,-21>,<1,-10>}
  prism {linear_spline 0,-20 4 <1,10>,<1,21>,<-16,21>,<1,10>}
  prism {linear_spline 10,-10 4 <1,20>,<1,31>,<-16,31>,<1,20> rotate x*90}

  prism {linear_spline -13,-17 7 <-9,-14>,<-9,-15>,<-4,-15>,<-4,-20>,<-11,-20>,<-11,-14>,<-9,-14>}
  prism {linear_spline -3,-7 7 <-9,-14>,<-9,-15>,<-4,-15>,<-4,-20>,<-11,-20>,<-11,-14>,<-9,-14>}
  prism {linear_spline -13,-17 7 <-9,14>,<-9,15>,<-4,15>,<-4,20>,<-11,20>,<-11,14>,<-9,14>}
  prism {linear_spline -3,-7 7 <-9,14>,<-9,15>,<-4,15>,<-4,20>,<-11,20>,<-11,14>,<-9,14>}

  prism //piso puente
  {
   linear_spline 11,22 7 <-80,8>,<-93,8>,<-101,4>,<-101,-4>,<-93,-8>,<-80,-8>,<-80,8>
   texture {gris8}
  }
  texture {gris9}
 }
 bounded_by {box {<2,17,22>,<-255,-32,-22>}}
}

#declare casco_trasero=
union
{
 object {casco_trasero2}
 union
 {
  #declare aa=-9.5
  #while (aa<10)
         sphere {<-2,13,aa>,.5}
         cylinder {<-2,13,aa>,<-2,0,aa>,.5}
         #declare aa=aa+1
  #end
  box {<-15,12,4>,<-1.9,16,-4>}
  texture {gris3}
 }
 union
 {
  box {<0,-5,-10>,<1,-15,-5.5>}
  difference
  {
   box {<0,-5,-5>,<1,-15,5>}
   cylinder {<-1,-10,0>,<2,-10,0>,4}
  }
  difference
  {
   cylinder {<0,-10,0>,<1,-10,0>,3.5}
   cylinder {<-1,-10,0>,<2,-10,0>,2.5}
  }
  box {<0,-5,10>,<1,-15,5.5>}
  texture {gris8}
 }
 sphere {<0,-10,0>,2.5 scale <.1,1,1>}
 #declare aa=0
 #while (aa<360)
        cylinder {<0,3,0>,<.75,3,0>,.5 rotate x*aa translate y*-10 pigment {rgb 3}}
        #declare aa=aa+60
 #end
 cylinder {<0,-10,0>,<.25,-10,0>,.2 pigment {rgb 0}}
 union
 {
  box {<0,-1,-8>,<.0001,-4,-3>}
  box {<0,-1,-1>,<.0001,-3,9>}
  box {<0,-16.5,-8>,<.0001,-19,-2>}
  box {<0,-16,0>,<.0001,-19.5,9> texture {gris9}}
  texture {gris8}
 }
 box {<-10,-30.0001,-10>,<-15,-20,10>}
 cylinder {<-10,-20,-9>,<-10,-20,-5.5>,9.5}
 cylinder {<-10,-20,-.5>,<-10,-20,-4.5>,9.5}
 cylinder {<-10,-20,.5>,<-10,-20,4.5>,9.5}
 cylinder {<-10,-20,9>,<-10,-20,5.5>,9.5}
 prism {linear_spline -8.5,-11.5 6 <-60,22>,<-10,22>,<0,11>,<0,10>,<-60,18>,<-60,22>}
 prism {linear_spline -8.5,-11.5 6 <-60,-22>,<-10,-22>,<0,-11>,<0,-10>,<-60,-18>,<-60,-22>}
 union
 {
  torus {3,1 rotate z*90 translate <0,5,-15>}
  torus {3,1 rotate z*90 translate <0,5,15>}
  torus {3,1 rotate z*90 translate <0,-25,-15>}
  torus {3,1 rotate z*90 translate <0,-25,15>}
  texture {gris975}
 }
 union
 {
  cylinder {<0,5,-15>,<1,5,-15>,3}
  cylinder {<0,5,15>,<1,5,15>,3}
  cylinder {<0,-25,-15>,<1,-25,-15>,3}
  cylinder {<0,-25,15>,<1,-25,15>,3}
  texture {gris9}
 }
 union
 {
  #declare aa=0
  #while (aa<360)
         box {<0,.5,.3>,<1.0001,2.5,-.3> rotate x*aa}
         #declare aa=aa+45
  #end
  translate <0,5,-15>
  pigment {rgb 3}
 }
 union
 {
  #declare aa=0
  #while (aa<360)
         box {<0,.5,.3>,<1.0001,2.5,-.3> rotate x*aa}
         #declare aa=aa+45
  #end
  translate <0,5,15>
  pigment {rgb 3}
 }
 union
 {
  #declare aa=0
  #while (aa<360)
         box {<0,.5,.3>,<1.0001,2.5,-.3> rotate x*aa}
         #declare aa=aa+45
  #end
  translate <0,-25,-15>
  pigment {rgb 3}
 }
 union
 {
  #declare aa=0
  #while (aa<360)
         box {<0,.5,.3>,<1.0001,2.5,-.3> rotate x*aa}
         #declare aa=aa+45
  #end
  translate <0,-25,15>
  pigment {rgb 3}
 }
 box {<0,10,-19>,<.0001,11,-11> pigment {rgb 0}}
 box {<0,10,19>,<.0001,11,11> pigment {rgb 0}}
 box {<0,-6,-6>,<1.0001,-8,-7> pigment {red 1} finish {ambient 1}}
 box {<0,-6,6>,<1.0001,-8,7> pigment {red 1} finish {ambient 1}}

 box {<-1,9,-20.5>,<-9,1,-19>}
 box {<-1,9,20.5>,<-9,1,19>}
 box {<-1,-30.5,-20.5>,<-9,-21,-11>}
 box {<-1,-30.5,20.5>,<-9,-21,11>}
}
//****************************** fin casco trasero *****************************

//****************************** inicio soporte motores *****************************
#declare soporte_izquierdo_motores=
union
{
 prism
 {
  0,-30 15
  <0,5>,<-5,10>,<-30,10>,<-35,5>,<-35,-5>,<-30,-10>,<-5,-10>,<0,-5>,<5,-10>,
  <30,-10>,<35,-5>,<35,5>,<30,10>,<5,10>,<0,5>
  rotate x*90
 }
 union //A
 {
  cylinder {<-35,4,0>,<-35,4,-25>,1}
  box {<-35,4,0>,<-36,-4,-25>}
  cylinder {<-35,-4,0>,<-35,-4,-25>,1}
  cylinder {<35,4,0>,<35,4,-25>,1}
  box {<35,4,0>,<36,-4,-25>}
  cylinder {<35,-4,0>,<35,-4,-25>,1}
  texture {gris9}
 }
 union //B
 {
  cylinder {<-28,10,0>,<-28,10,-25>,1}
  box {<-28,11,0>,<-7,10,-25>}
  cylinder {<-7,10,0>,<-7,10,-25>,1}
  cylinder {<28,10,0>,<28,10,-25>,1}
  box {<28,11,0>,<7,10,-25>}
  cylinder {<7,10,0>,<7,10,-25>,1}
  cylinder {<28,-10,0>,<28,-10,-25>,1}
  box {<28,-11,0>,<7,-10,-25>}
  cylinder {<7,-10,0>,<7,-10,-25>,1}
  texture {gris8}
 }
 box {<-25,11,-5>,<-10,12,-3>} //c
 box {<-25,11,-10>,<-10,12,-8>} //c
 box {<-25,11,-15>,<-10,12,-17>} //c
 box {<-25,11,-20>,<-10,12,-22>} //c
 union //d
 {
  cone {<10,11.1,-20>,4,<10,12,-20>,3}
  cone {<25,11.1,-20>,4,<25,12,-20>,3}
  cone {<10,-11.1,-20>,4,<10,-12,-20>,3}
  cone {<25,-11.1,-20>,4,<25,-12,-20>,3}
  cone {<10,-11.1,-5>,4,<10,-12,-5>,3}
  cone {<25,-11.1,-5>,4,<25,-12,-5>,3}
  cylinder {<-8,-11,-5>,<-27,-11,-5>,1}
  cylinder {<-8,-11,-10>,<-27,-11,-10>,1}
  cylinder {<-8,-11,-15>,<-27,-11,-15>,1}
  cylinder {<-8,-11,-20>,<-27,-11,-20>,1}
  cylinder {<-8,-11,-25>,<-27,-11,-25>,1}
  box {<10,11.1,-11>,<25,12,-14>}
  texture {blanca}
 }
 cylinder {<-.5,7.5,0>,<-.5,7.5,-25>,.5} //tuberia
 cylinder {<.5,7.5,0>,<.5,7.5,-25>,.5} //tuberia
 cylinder {<-.5,-7.5,0>,<-.5,-7.5,-25>,.5} //tuberia
 cylinder {<.5,-7.5,0>,<.5,-7.5,-25>,.5} //tuberia
 box {<-6,-9,-9>,<6,9,-10>} //soporte tuberia
 box {<-6,-9,-15>,<6,9,-16>} //soporte tuberia
 union //paneles
 {
  box {<-16,12.001,0>,<-16.1,11,-25>}
  box {<-8.9,12.001,0>,<-9.1,11,-25>}
  box {<14.9,12.001,0>,<15,11,-25>}
  box {<20,12.001,0>,<20.1,11,-25>}
  pigment {rgb 0}
 }
}

#declare soporte_derecho_motores=
union
{
 prism
 {
  0,30 15
  <0,5>,<-5,10>,<-30,10>,<-35,5>,<-35,-5>,<-30,-10>,<-5,-10>,<0,-5>,<5,-10>,
  <30,-10>,<35,-5>,<35,5>,<30,10>,<5,10>,<0,5>
  rotate x*90
 }
 union //A
 {
  cylinder {<-35,4,0>,<-35,4,25>,1}
  box {<-35,4,0>,<-36,-4,25>}
  cylinder {<-35,-4,0>,<-35,-4,25>,1}
  cylinder {<35,4,0>,<35,4,25>,1}
  box {<35,4,0>,<36,-4,25>}
  cylinder {<35,-4,0>,<35,-4,25>,1}
  texture {gris9}
 }
 union //B
 {
  cylinder {<-28,10,0>,<-28,10,25>,1}
  box {<-28,11,0>,<-7,10,25>}
  cylinder {<-7,10,0>,<-7,10,25>,1}
  cylinder {<28,10,0>,<28,10,25>,1}
  box {<28,11,0>,<7,10,25>}
  cylinder {<7,10,0>,<7,10,25>,1}
  cylinder {<28,-10,0>,<28,-10,25>,1}
  box {<28,-11,0>,<7,-10,25>}
  cylinder {<7,-10,0>,<7,-10,25>,1}
  texture {gris8}
 }
 box {<-25,11,5>,<-10,12,3>} //c
 box {<-25,11,10>,<-10,12,8>} //c
 box {<-25,11,15>,<-10,12,17>} //c
 box {<-25,11,20>,<-10,12,22>} //c
 union //d
 {
  cone {<10,11.1,20>,4,<10,12,20>,3}
  cone {<25,11.1,20>,4,<25,12,20>,3}
  cone {<10,-11.1,20>,4,<10,-12,20>,3}
  cone {<25,-11.1,20>,4,<25,-12,20>,3}
  cone {<10,-11.1,5>,4,<10,-12,5>,3}
  cone {<25,-11.1,5>,4,<25,-12,5>,3}
  cylinder {<-8,-11,5>,<-27,-11,5>,1}
  cylinder {<-8,-11,10>,<-27,-11,10>,1}
  cylinder {<-8,-11,15>,<-27,-11,15>,1}
  cylinder {<-8,-11,20>,<-27,-11,20>,1}
  cylinder {<-8,-11,25>,<-27,-11,25>,1}
  box {<10,11.1,11>,<25,12,14>}
  texture {blanca}
 }
 cylinder {<-.5,7.5,0>,<-.5,7.5,25>,.5} //tuberia
 cylinder {<.5,7.5,0>,<.5,7.5,25>,.5} //tuberia
 cylinder {<-.5,-7.5,0>,<-.5,-7.5,25>,.5} //tuberia
 cylinder {<.5,-7.5,0>,<.5,-7.5,25>,.5} //tuberia
 box {<-6,-9,9>,<6,9,10>} //soporte tuberia
 box {<-6,-9,15>,<6,9,16>} //soporte tuberia
 union //paneles
 {
  box {<-16,12.001,0>,<-16.1,11,25>}
  box {<-8.9,12.001,0>,<-9.1,11,25>}
  box {<14.9,12.001,0>,<15,11,25>}
  box {<20,12.001,0>,<20.1,11,25>}
  pigment {rgb 0}
 }
}
//****************************** fin soporte motores *****************************

//****************************** inicio bajos *****************************
#declare bajos1=
union
{
 cone {<-150,-30,10>,0,<-140,-30,10>,7} //A
 prism {linear_spline 10,-10 4 <-150,-30>,<-140,-30>,<-140,-37>,<-150,-30> rotate x*-90} //A
 cone {<-150,-30,-10>,0,<-140,-30,-10>,7} //A

 cone {<-120,-30,10>,10,<-140,-30,10>,7 texture {gris_azulado}} //B
 prism {linear_spline 10,-10 5 <-140,-30>,<-140,-37>,<-120,-40>,<-120,-30>,<-140,-30> rotate x*-90}//B
 cone {<-120,-30,-10>,10,<-140,-30,-10>,7 texture {gris_azulado}} //B

 difference
 {
  union
  {
   cylinder {<-120,-30,-10>,<-30,-30,-10>,10} //C
   cylinder {<-90,-30,-10>,<-60,-30,-10>,10.1 texture {gris9}} //C
   cylinder  {<-90,-30,10>,<-60,-30,10>,10.1 texture {gris9}} //C
   box {<-120,-20,-10>,<-30,-40,10>} //C
   cylinder  {<-120,-30,10>,<-30,-30,10>,10} //C
  }
  box {<-100,-38,10>,<-40,-42,-10>}
 }

 cone {<-30,-30,10>,10,<-20,-30,10>,0 texture {gris9}} //D
 prism {linear_spline 10,-10 4 <-30,-30>,<-30,-40>,<-20,-30>,<-30,-30> rotate x*-90} //D
 prism {linear_spline 10,-10 5 <-35,-41>,<-29,-41>,<-19,-30>,<-35,-30>,<-35,-41> rotate x*-90}//D
 cone {<-30,-30,-10>,10,<-20,-30,-10>,0 texture {gris9}} //D

 union
 {
  cylinder {<-139.95,-30,10>,<-140.05,-30,10>,7.1} //A
  box {<-139.95,-37.1,10>,<-140.05,-20,-10>} //A
  cylinder {<-139.95,-30,-10>,<-140.05,-30,-10>,7.1} //A

  cylinder {<-119.95,-30,10>,<-120.05,-30,10>,10.1} //B
  box {<-119.95,-40.1,10>,<-120.05,-20,-10>} //B
  cylinder {<-119.95,-30,-10>,<-120.05,-30,-10>,10.1} //B

  cylinder {<-109.95,-30,10>,<-110.05,-30,10>,10.1} //C
  box {<-109.95,-40.1,10>,<-110.05,-20,-10>} //C
  cylinder {<-109.95,-30,-10>,<-110.05,-30,-10>,10.1} //C
  cylinder {<-29.95,-30,10>,<-30.05,-30,10>,10.1} //D
  box {<-29.95,-40.1,10>,<-30.05,-20,-10>} //D
  cylinder {<-29.95,-30,-10>,<-30.05,-30,-10>,10.1} //D
  pigment {rgb 0}
 }
}

#declare puerta_hangar=
difference
{
 union
 {
  union
  {
   text { ttf "fuente.ttf" "2" .0001, 0
       scale 4 rotate y*90 translate <-1.0001,-4,1>}
   text { ttf "fuente.ttf" "P" .0001, 0
       scale 3.4 rotate y*90 translate <-1.0001,-8,1>}
   texture {rojo}
   scale 5
   translate <4.0001,21,.75>
  }
  box {<0,30,10>,<-1,-30,-10> texture {blanca}}
  rotate z*90
  translate <-70,-38,0>
 }
 union
 {
  box {<-101,-37,0>,<-39,-40,-.15>}
  box {<-101,-37,0>,<-39,-40,-.15> translate z*-5}
  box {<-101,-37,0>,<-39,-40,-.15> translate z*5}
  pigment {rgb 0}
 }
 bounded_by {box {<-112,-36,-11>,<-28,-42,11>}}
}

#declare puertas_esclusa1=
union
{
 difference
 {
  prism {linear_spline -20,20 7 <-4,4.5>,<4,4.5>,<4,-4>,<3,-5>,<-3,-5>,<-4,-4>,<-4,4.5>
        rotate x*-90}
  union
  {
   prism {linear_spline -19.5,-21 9 <-2,4>,<2,4>,<3,3>,<3,-3>,<2,-4>,<-2,-4>,<-3,-3>,
        <-3,3>,<-2,4> rotate x*-90}
   prism {linear_spline 19.5,21 9 <-2,4>,<2,4>,<3,3>,<3,-3>,<2,-4>,<-2,-4>,<-3,-3>,
        <-3,3>,<-2,4> rotate x*-90}
   texture {gris975}
  }
  bounded_by {box {<-5,7,-23>,<5,-7,23>}}
 }
 union
 {
 cylinder {<-3.5,-3,20.5>,<-3.5,-3,-20.5>,.1} //barandilla
 cylinder {<3.5,-3,20.5>,<3.5,-3,-20.5>,.1} //barandilla
 cylinder {<-3.5,3,20.5>,<-3.5,3,-20.5>,.1} //barandilla
 cylinder {<3.5,3,20.5>,<3.5,3,-20.5>,.1} //barandilla
 cylinder {<3.5,3,20.5>,<3.5,-3,20.5>,.1} //barandilla
 cylinder {<-3.5,3,20.5>,<-3.5,-3,20.5>,.1} //barandilla
 cylinder {<3.5,3,-20.5>,<3.5,-3,-20.5>,.1} //barandilla
 cylinder {<-3.5,3,-20.5>,<-3.5,-3,-20.5>,.1} //barandilla
 texture {amarillo_negro scale 2 rotate z*90}
 }
}

#declare puertas_esclusa=
difference
{
  object {puertas_esclusa1}
  union
  {
   box {<-2.5,.5,-19.3>,<-.5,-.5,-21>}
   box {<2.5,.5,-19.3>,<.5,-.5,-21>}
   box {<-2.5,.5,19.3>,<-.5,-.5,21>}
   box {<2.5,.5,19.3>,<.5,-.5,21>}

  prism {linear_spline -19.3,-21 5 <-2,3.5>,<2,3.5>,<.5,1>,<-.5,1>,<-2,3.5> rotate x*-90} //a
  prism {linear_spline 19.3,21 5 <-2,3.5>,<2,3.5>,<.5,1>,<-.5,1>,<-2,3.5> rotate x*-90} //a
  prism {linear_spline -19.3,-21 5 <-2,-3.5>,<2,-3.5>,<.5,-1>,<-.5,-1>,<-2,-3.5> rotate x*-90} //a
  prism {linear_spline 19.3,21 5 <-2,-3.5>,<2,-3.5>,<.5,-1>,<-.5,-1>,<-2,-3.5> rotate x*-90} //a

  prism {linear_spline -19.3,-21 5 <-2.5,2.5>,<-2,3>,<-1,1>,<-2.5,1>,<-2.5,2.5> rotate x*-90}//b
  prism {linear_spline -19.3,-21 5 <-2.5,-2.5>,<-2,-3>,<-1,-1>,<-2.5,-1>,<-2.5,-2.5> rotate x*-90}//b
  prism {linear_spline 19.3,21 5 <-2.5,2.5>,<-2,3>,<-1,1>,<-2.5,1>,<-2.5,2.5> rotate x*-90}//b
  prism {linear_spline 19.3,21 5 <-2.5,-2.5>,<-2,-3>,<-1,-1>,<-2.5,-1>,<-2.5,-2.5> rotate x*-90}//b

  prism {linear_spline -19.3,-21 5 <2.5,2.5>,<2,3>,<1,1>,<2.5,1>,<2.5,2.5> rotate x*-90}//c
  prism {linear_spline -19.3,-21 5 <2.5,-2.5>,<2,-3>,<1,-1>,<2.5,-1>,<2.5,-2.5> rotate x*-90}//c
  prism {linear_spline 19.3,21 5 <2.5,2.5>,<2,3>,<1,1>,<2.5,1>,<2.5,2.5> rotate x*-90}//c
  prism {linear_spline 19.3,21 5 <2.5,-2.5>,<2,-3>,<1,-1>,<2.5,-1>,<2.5,-2.5> rotate x*-90}//c
   texture {gris9}
  }
  bounded_by {box {<-5,7,-23>,<5,-7,23>}}
}

#declare bajos=
union
{
 difference
 {
  object {bajos1}
  union
  {
   prism {linear_spline -18,-21 9 <-2,4>,<2,4>,<3,3>,<3,-3>,<2,-4>,<-2,-4>,<-3,-3>,
        <-3,3>,<-2,4> rotate x*-90 translate <-115,-34,0>}
   prism {linear_spline 18,21 9 <-2,4>,<2,4>,<3,3>,<3,-3>,<2,-4>,<-2,-4>,<-3,-3>,
        <-3,3>,<-2,4> rotate x*-90 translate <-115,-34,0>}
  }
 }
 object {puertas_esclusa translate <-115,-34,0>}
 object {puerta_hangar}
}
//****************************** fin bajos ********************************

//******************************** inicio puente *****************************
#declare puente1=
union
{
 cylinder {<-83,0,0>,<-60,0,0>,11 scale <1,.5,1> translate y*15}
 cone {<-83,0,0>,11,<-85,0,0>,10 scale <1,.5,1> translate y*15}
 cone {<-60,0,0>,11,<-58,0,0>,10 scale <1,.5,1> translate y*15}
 cylinder {<-85,0,0>,<-20,0,0>,10 scale <1,.5,1> translate y*15}
 sphere {0,10 scale <1.5,.5,1> translate <-20,15,0>}
}

#declare puente=
union
{
 object {puente1}
 union
 {
  box {<-40.05,10,10.001>,<-39.95,15,-10.001>}
  cylinder {<-40.05,0,0>,<-39.95,0,0>,10.001 scale <1,.5,1> translate y*15}
  pigment {rgb 0}
 }
 union
 {
  box {<-55,10,10.001>,<-45,15,-10.001>}
  cylinder {<-55,0,0>,<-45,0,0>,10.001 scale <1,.5,1> translate y*15}
  box {<-20,10,10.001>,<-30,15,-10.001>}
  cylinder {<-20,0,0>,<-30,0,0>,10.001 scale <1,.5,1> translate y*15}
  texture {gris8}
 }
 union
 {
  box {<-78,10,11.001>,<-80,15,-11.001>}
  cylinder {<-78,0,0>,<-80,0,0>,11.001 scale <1,.5,1> translate y*15}
  texture {gris9}
 }
 union
 {
  box {<-65,10,11.001>,<-68,15,-11.001>}
  cylinder {<-65,0,0>,<-68,0,0>,11.001 scale <1,.5,1> translate y*15}
  texture {gris3}
 }
 union //interior puente
 {
  difference
  {
   sphere {0,10 scale <2,.5,1> translate <-90,15,0>}
   box {<-110,0,15>,<-50,18,-15>}
  }
  difference
  {
   difference
   {
    sphere {0,10 scale <2,.5,1> translate <-90,15,0>}
    sphere {0,9.5 scale <2,.5,1> translate <-90,15,0>}
   }
   box {<-94,15.5,15>,<-50,19.999,-15>}
   box {<-100,15.5,15>,<-95.5,19.999,-15>}
   box {<-100.5,15.5,15>,<-150,19.999,-15>}
  }
  difference
  {
   cylinder {0,x*-5,10}
   cylinder {x*1,x*-6,9.5}
   scale <2,.5,1> translate <-80,15,0>
  }
  difference
  {
   cylinder {0,x*-5,10 scale <2,.5,1>}
   box {<-16,3,15>,<6,-15,-15>}
   translate <-80,15,0>
  }
  sphere //cristal
  {0,9.75 hollow scale <2,.5,1> translate <-90,15,0>
         pigment {rgb <.5,.25,.25> transmit .3} finish {specular 1 roughness .0005}}
  union //panel transparente
  {
   box {<-101,15,4>,<-101.25,17.5,3.9>}
   box {<-101,15,-4>,<-101.25,17.5,-3.9>}
   box {<-101,17.5,-4>,<-101.25,17.4,4>}
   pigment {rgb 1.1}
  }
  union //detalles
  {
   box {<-105,15.5,3>,<-95,0,-3> pigment {rgb .4}}
   box {<-90,16.5,2.5>,<-92,0,3.5> pigment {rgb .6}}
   box {<-90,16.45,2.6>,<-92.5,0,3.4> pigment {rgb .8}}
   box {<-90,16.5,-2.5>,<-92,0,-3.5> pigment {rgb .6}}
   box {<-90,16.45,-2.6>,<-92.5,0,-3.4> pigment {rgb .8}}
  }
  union //luces
  {
   light_source {<-96,17.999,4> red 6 fade_distance 3 fade_power 2}
   light_source {<-96,17.999,-4> red 6 fade_distance 3 fade_power 2}
  }
  bounded_by {box {<-120,10,15>,<-40,20,-15>}}
 }
}
//******************************** fin puente *****************************

//************************************* inicio casco ********************************
#declare casco=
union
{
 object {casco_trasero}
 object {casco_delantero translate x*-150}
 object {proa translate x*-200}
 object {cabina}
 object {puente}
 object {soporte_izquierdo_motores translate <-85,-20,-20>}
 object {soporte_derecho_motores translate <-85,-20,20>}
 object {bajos}
 texture {blanca}
}

#declare casco1=
union
{
 object {casco_trasero1}
 object {casco_delantero2 translate x*-150}
 object {proa2 translate x*-200}
 object {cabina}
 object {soporte_izquierdo_motores translate <-85,-20,-20>}
 object {soporte_derecho_motores translate <-85,-20,20>}
 object {bajos}
 texture {blanca}
}
//************************************* fin casco ********************************
